module ApplicationHelper
  def logged_in?
    session[:user]
  end
  
  def is_student?
    logged_in? && User.find(session[:user]).t == 2
  end
  
  def is_admin?
    logged_in? && !is_student? 
  end
  
  def username
    if logged_in?
      User.find(session[:user]).name
    else
      "Guest"
    end
  end
end
