require 'test_helper'

class UsersControllerTest < ActionController::TestCase
  setup do
    @me = users(:me)
    request.env['HTTP_REFERER'] = '/tasks'
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should get edit" do
    get :edit, { :id => @me.id }
    assert_response :success
  end

  test "should get show" do
    get :show, { :id => @me.id }
    assert_response :success
  end

  test "should get forgotten" do
    get :forgotten
    assert_response :redirect
  end

end
