require 'test_helper'

class SessionsControllerTest < ActionController::TestCase
  setup do
    @valaki = users(:valaki)
    request.env['HTTP_REFERER'] = '/tasks'
  end

  test "login" do
    post :create, { :username => @valaki.username, :password => 'titkos' }
    assert_response :redirect
    assert_equal session[:user], @valaki.id
  end

  test "logout" do
    get :destroy, nil, { :user => @valaki.id }
    assert_response :redirect
  end

end
